org.apache.synapse.commons.staxon.core.json.stream.util

## Class CustomRegexMatchReplaceIgnoreAutoPrimitiveTarget

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.json.stream.util.StreamTargetDelegate
  - - org.apache.synapse.commons.staxon.core.json.stream.util.CustomRegexMatchReplaceIgnoreAutoPrimitiveTarget

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable, JsonStreamTarget

      public class CustomRegexMatchReplaceIgnoreAutoPrimitiveTarget
      extends StreamTargetDelegate

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomRegexMatchReplaceIgnoreAutoPrimitiveTarget(JsonStreamTarget delegate, boolean convertAttributes, String customReplaceRegex, String customReplaceSequence)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `name(String name)` Write name.
    `void` | `value(Object value)` Write value.

    - ### Methods inherited from class org.apache.synapse.commons.staxon.core.json.stream.util.StreamTargetDelegate

      `close, endArray, endObject, flush, startArray, startObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomRegexMatchReplaceIgnoreAutoPrimitiveTarget

          public CustomRegexMatchReplaceIgnoreAutoPrimitiveTarget(JsonStreamTarget delegate,
                                                                  boolean convertAttributes,
                                                                  String customReplaceRegex,
                                                                  String customReplaceSequence)

  - ### Method Detail

    - #### name

          public void name(String name)
                    throws IOException

      Description copied from interface: `JsonStreamTarget`
      Write name.
      Specified by:
        `name` in interface `JsonStreamTarget`
      Overrides:
        `name` in class `StreamTargetDelegate`
      Throws:
        `IOException`

    - #### value

          public void value(Object value)
                     throws IOException

      Description copied from interface: `JsonStreamTarget`
      Write value.
      Specified by:
        `value` in interface `JsonStreamTarget`
      Overrides:
        `value` in class `StreamTargetDelegate`
      Throws:
        `IOException`

Copyright © 2005–2019 Apache Software Foundation. All rights reserved.